org.eclipse.jdt.ui.wizards

## Class NewModuleInfoWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.jdt.ui.wizards.NewElementWizardPage
      - - org.eclipse.jdt.ui.wizards.NewModuleInfoWizardPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

    public class NewModuleInfoWizardPage
    extends NewElementWizardPage

Wizard page to create a new module-info file.

Note: This class is not intended to be subclassed, but clients can instantiate.

Since:
  3.14
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`NewModuleInfoWizardPage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`IStatus` `getModuleNameStatus()`
`String` `getModuleNameText()` Returns the content of the module name field.
`IJavaProject` `getProject()`
`void` `init(IJavaProject project)` The wizard owning this page is responsible for calling this method with the current selection's project.
`void` `setVisible(boolean visible)`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewElementWizardPage

`updateStatus, updateStatus`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### NewModuleInfoWizardPage

    public NewModuleInfoWizardPage()

### Method Detail

#### init

    public void init(IJavaProject project)

The wizard owning this page is responsible for calling this method with the current selection's project. The project is used to initialize the fields of the wizard page.

Parameters:
  `project` - used to initialize the fields

#### createControl

    public void createControl(Composite parent)

#### setVisible

    public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `NewElementWizardPage`

#### getModuleNameText

    public String getModuleNameText()

Returns the content of the module name field.

Returns:
  the content of the module name field

#### getProject

    public IJavaProject getProject()

#### getModuleNameStatus

    public IStatus getModuleNameStatus()